"""
Module for playing audio files using soundfile and sounddevice.
"""

import towdio_player.soundfile as sf
import towdio_player.sounddevice as sd
import sys
from typing import Tuple

class AudioPlayer:
    def __init__(self, filename: str):
        self.filename = filename

    def play(self) -> None:
        data, sample_rate = towdio_player.sf.read(self.filename)
        towdio_player.sd.play(data, sample_rate, blocking=True)
